Bug 11398 - IFrame "blur" and "focus" are not fired
Summary: IFrame "blur" and "focus" are not fired
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 419.x
Hardware: Macintosh PowerPC OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://www.fredck.com/bugs/safari/ifr...
Keywords:
Depends on:
Blocks: 9915
  Show dependency treegraph
 
Reported: 2006-10-24 06:00 PDT by Frederico Caldeira Knabben
Modified: 2007-01-09 20:42 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frederico Caldeira Knabben 2006-10-24 06:00:31 PDT
The "blur" and "focus" events on IFrames are not getting fired.

The URL points to a test case that uses IFRAME.contentWindow to attach to the events. It works well on Firefox.

I've also tried it with IFRAME, IFRAME.contentWindow.document and IFRAME.contentWindow.document.body with no results. Actually, when using IFRAME.contentWindow, the "focus" is fired when the page is loaded, but further "blur" and "focus" are not fired after it.
Comment 1 Mark Rowe (bdash) 2006-10-25 20:04:38 PDT
Confirmed in 418.9 and ToT.
Comment 2 David Kilzer (:ddkilzer) 2007-01-07 04:39:46 PST
This should be retested after r18610 landed.

http://trac.webkit.org/projects/webkit/changeset/18610

Comment 3 Alexey Proskuryakov 2007-01-07 09:32:34 PST
I can no longer reproduce the problem with the linked test case.
Comment 4 David Kilzer (:ddkilzer) 2007-01-09 20:42:45 PST
Confirmed this has been fixed in a locally-built debug build of WebKit r18703 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8L127).